"""
DB
"""
SECRET_KEY = 'default_flask secret'
SQLALCHEMY_DATABASE_URI = 'postgresql://flask:dev@localhost:5432/flask'  #. Local DB
SQLALCHEMY_ECHO = False
SQLALCHEMY_TRACK_MODIFICATIONS = False
SQLALCHEMY_POOL_RECYCLE = 3600
DB_TYPE = "PSQL"

"""
LOGGING
"""
FILENAME = 'logs/flask.log'
DB_FILENAME = 'logs/sql.log'
FILE_MAX_BYTES = 1 * 1024 * 1024 #1M = 13000 line
BACKUPCOUNT = 10
ENCODING = 'utf-8'



CLIENT_ID = "8c81b7d2ae220fec1c15ac4d46f64ef5"
CLIENT_SECRET = "v6jWSRs7grP6SY3CutdpZ2sLJOTOHdxK"
REDIRECT_URI = "http://127.0.0.1:5050/kakao"

import datetime

JWT_SECRET_KEY = "Config.key"
JWT_ACCESS_TOKEN_EXPIRES = 20000
JWT_EXPIRATION_DELTA = 20000
JWT_REFRESH_TOKEN_EXPIRES = 20000

# JWT_ACCESS_TOKEN_EXPIRES = "Config.access"
# JWT_REFRESH_TOKEN_EXPIRES = "Config.refresh"